package com.atguigu.spzx.manger.service.impl;

import com.atguigu.log.service.AsyncOperaLogService;
import com.atguigu.spzx.manger.mapper.SysOperaLogMapper;
import com.atguigu.spzx.model.entity.system.SysOperLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

@Service
public class AsyncOperaLogServiceImpl implements AsyncOperaLogService {
    @Autowired
    private SysOperaLogMapper sysOperaLogMapper;

    /**
     * 异步执行保存日志操作
     *
     * @param sysOperaLog SysOperLog
     */
    @Async
    @Override
    public void saveSysOperaLog(SysOperLog sysOperaLog) {
        sysOperaLogMapper.insert(sysOperaLog);
    }
}