package com.atguigu.user.controller;

import com.atguigu.spzx.model.vo.result.Result;
import com.atguigu.user.service.SmsService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Tag(name = "用户相关接口")
@RestController
@RequestMapping("/api/user/sms")
public class SmsController {
    @Autowired
    private SmsService smsService;

    @Operation(summary = "发送短信", description = "发送短信")
    @GetMapping(value = "/sendCode/{phone}")
    public Result<String> sendValidateCode(@PathVariable String phone) throws Exception {
        smsService.sendValidateCode(phone);
        return Result.success();
    }
}