package com.atguigu.user.mapper;

import com.atguigu.spzx.model.entity.user.UserInfo;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface UserInfoMapper {
    /**
     * 查询用户
     *
     * @param username 用户名
     * @return 用户信息
     */
    UserInfo selectByUsername(String username);

    /**
     * 保存用户信息
     *
     * @param userInfo 用户信息
     */
    void save(UserInfo userInfo);
}
